#!/bin/bash

pwd=`pwd`;

# Our scripts
measure_file=`pwd`/measure.perl
update_script=`pwd`/update.sh

# start time for measure.perl
start_time=35
is_md=`wget http://www.ip2location.com/ -O - -o /dev/null | grep "Livedemo1_lblLocation" | awk 'BEGIN{FS=","}{print $2}' | egrep "(MARYLAND|VIRGINIA|WASHINGTON)"`
if [ -n "${is_md}" ]
then
    start_time=15
fi

path=`echo $PATH`
# The lines that we added
path_line="PATH=$PATH:$path"
ntp_line="30 0 * * * ntpdate us.pool.ntp.org"
perl_line="${start_time} * * * * perl $measure_file"
# two of these because we changed things.. 
update_line="0 */6 * * * $update_script"
update_line_2="0 */6 * * * $update_script $pwd"

touch new_tab

# Go through the crontab, remove our jobs
crontab -l > cur_tab
found_path="no"
while read LINE
do
  # Keep the line as long as it's not one of ours
  if [ "$LINE" != "$ntp_line" -a "$LINE" != "$perl_line" -a "$LINE" != "$update_line" -a "$LINE" != "$update_line_2" ]
  then
	  if [ "$LINE" != "$path_line" -o "$found_path" == "yes" ]
	  then
		  printf "%s\n" "$LINE" >> new_tab
	  fi
  fi

  # On the off chance that someone had the PATH set in their crontab,
  # we don't want to remove it for them; just remove the one we added
  if [ "$LINE" == "$path_line" ]
  then
	  found_path="yes"
  fi

done < cur_tab

# Reset the crontab, remove the temp files
crontab new_tab
rm cur_tab
rm new_tab