#!/bin/bash

path=`echo $PATH`;
pwd=`pwd`;

# Scripts we want to run
measure_file=`pwd`/measure.perl
update_script=`pwd`/update.sh

# start time for measure.perl
start_time=35

# For now, we want Boston to start at 35 past the hour, MD to start at
# 15 past
is_md=`wget http://www.ip2location.com/ -O - -o /dev/null | grep "Livedemo1_lblLocation" | awk 'BEGIN{FS=","}{print $2}' | egrep "(MARYLAND|VIRGINIA|WASHINGTON)"`
if [ -n "${is_md}" ]
then
    start_time=15
fi

# Supress the warning if a crontab doesn't exist
crontab -l 2>&1 | grep -v "no crontab for" > cur_tab

echo "PATH=$PATH:$path" >> cur_tab
# Sync with an NTP server once per day
# Need sudo for this, has to go in root's crontab
#echo "30 0 * * * /usr/sbin/ntpdate -s -u us.pool.ntp.org" >> cur_tab
# Run our script every hour
echo $start_time "* * * * perl $measure_file" >> cur_tab
# Get updates ever 6 hours, in case the measurement script has changed
echo "0 */6 * * * $update_script $pwd" >> cur_tab 
crontab cur_tab
rm cur_tab

# Give me a random ID (differentiate between machines behind a NAT)
id_file=`dirname $0`/my_id
echo $RANDOM >> $id_file